using System;

namespace Mamuransam
{
    class Program
    {
        static void Main(string[] args)
        {
            int N= int.Parse(Console.ReadLine());
            int[,] koordinate = new int[N,2];
            string[] s;
            for (int i = 0; i < N; i++)
            {
                s = Console.ReadLine().Split();
                koordinate[i,0] = int.Parse(s[0]);
                koordinate[i,1] = int.Parse(s[1]);
            }
            long mnogougao = 0;
            for (int i = 0; i < N; i++)
            {
                mnogougao+= koordinate[i, 0] * koordinate[(i+1)%N,1] - koordinate[(i+1)%N, 0] * koordinate[i, 1];
            }
            mnogougao = Math.Abs(mnogougao);
            long[] povrsine = new long[N];
            long min = mnogougao;
            for(int i = 0;i < N;i++)
            {
                povrsine[i] = mnogougao - Math.Abs(koordinate[i, 0] * (koordinate[((i + 1) % N), 1] - koordinate[((i + 2) % N), 1]) + koordinate[((i + 1) % N), 0] * (koordinate[((i + 2) % N), 1] - koordinate[i, 1]) + koordinate[((i + 2)%N), 0] * (koordinate[i, 1] - koordinate[((i + 1) % N), 1]));
                if (povrsine[i]<min)
                    min = povrsine[i];
            }
            Console.WriteLine((double)min*0.5);
            Console.WriteLine(mnogougao);
        }
    }
}